Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

QCSXCAD-devel-0.6.2-2.3 RPM for armv6hl

From OpenSuSE Ports Tumbleweed for armv6hl

Name: QCSXCAD-devel Distribution: openSUSE Tumbleweed
Version: 0.6.2 Vendor: openSUSE
Release: 2.3 Build date: Mon Aug 12 01:10:50 2019
Group: Development/Libraries/C and C++ Build host: armbuild25
Size: 43283 Source RPM: QCSXCAD-0.6.2-2.3.src.rpm
Packager: http://bugs.opensuse.org
Url: http://openems.de
Summary: Development files for QCSXCAD
A Qt-GUI for the CSXCAD library.

This package contains libraries and header files for developing
applications that use QCSXCAD.

Provides

Requires

License

LGPL-3.0-or-later

Changelog

* Thu Apr 04 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
  - Add explicit devel BuildRequires for glew, lzma and double-conversion
* Fri Dec 14 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
  - Update to version 0.6.2
    * cmake: fix vtk include dirs
    * fix vtk polydata exports
  - Add QCSXCAD-vtk.patch - fix build on TW, avoid implicitly requiring
    all VTK modules, leading to missing libraries.
* Mon Jun 18 2018 stefan.bruens@rwth-aachen.de
  - Fix build with Qt5.11, cmake qt5_use_modules has been removed.
    Add qt5_use_modules.diff.
  - Use Qt5 on all releases, as VTK uses Qt5 everywhere as well.
* Fri Nov 17 2017 stefan.bruens@rwth-aachen.de
  - Change the Qt BuildRequires: for older distributions, Leap 42.x
    has a VTK build with Qt4, use the same conditional as the VTK
    package (i.e. Qt4 on Leap 42.x, Qt5 on TW and Leap 15.x)
* Wed Nov 01 2017 stefan.bruens@rwth-aachen.de
  - Add explicit BuildRequires for Qt5Sql/Qt5Widgets devel packages,
    as these are no longer implicitly required by vtk-devel
* Fri Aug 26 2016 jengelh@inai.de
  - Update description, and license field to LGPL-3.0+.
* Fri Aug 26 2016 dmitry_r@opensuse.org
  - Update to version 0.6.1
    * Bugfix release
  - Drop obsolete
    * QCSXCAD-vtk.patch
    * QCSXCAD-vtk7-support.patch
* Mon Mar 21 2016 dmitry_r@opensuse.org
  - Fix build with VTK 7
    * QCSXCAD-vtk7-support.patch
* Sun Nov 08 2015 dmitry_r@opensuse.org
  - Initial package, version 0.6.0
  - Remove build time from binaries
    * QCSXCAD-no-build-date.patch
  - Fix build with VTK 6.3
    * QCSXCAD-vtk.patch

Files

/usr/include/QCSXCAD
/usr/include/QCSXCAD/QCSGridEditor.h
/usr/include/QCSXCAD/QCSPrimEditor.h
/usr/include/QCSXCAD/QCSPropEditor.h
/usr/include/QCSXCAD/QCSTreeWidget.h
/usr/include/QCSXCAD/QCSXCAD.h
/usr/include/QCSXCAD/QCSXCAD_Global.h
/usr/include/QCSXCAD/QParameterGui.h
/usr/include/QCSXCAD/QVTKStructure.h
/usr/include/QCSXCAD/VTKPrimitives.h
/usr/include/QCSXCAD/export_pov.h
/usr/include/QCSXCAD/export_x3d.h
/usr/include/QCSXCAD/vtkInteractorStyleRubberBand2DPlane.h
/usr/lib/libQCSXCAD.so


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu Oct 10 14:49:29 2019